## neutron 8.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Paste # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
pecan>=1.0.0 # BSD
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=0.0.1 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
ryu>=3.30 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WebOb>=1.2.3 # MIT
keystoneauth1>=2.1.0 # Apache-2.0
alembic>=0.8.0 # MIT
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
oslo.concurrency>=3.7.1 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.versionedobjects>=1.5.0 # Apache-2.0
ovs>=2.4.0;python_version=='2.7' # Apache-2.0

python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0

=== neutron/tests/api/requirements.txt ===
# Additional requirements for api tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

tempest>=10.0.0,<12.1.0  # Apache-2.0

=== debian/changelog ===
neutron (2:8.4.0-0ubuntu7.4) xenial-security; urgency=medium

  * SECURITY UPDATE: iptables security group rules issue
    - debian/patches/CVE-2019-9735.patch: when converting sg rules to
      iptables, do not emit dport if not supported in
      neutron/agent/linux/iptables_firewall.py,
      neutron/tests/unit/agent/linux/test_iptables_firewall.py.
    - CVE-2019-9735

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 May 2019 09:50:32 -0400

neutron (2:8.4.0-0ubuntu7.3) xenial; urgency=medium

  [ Edward Hope-Morley ]
  * d/p/Wait-for-ovsdb_monitor-to-be-active-before-use-it.patch: backport
    fix to ensure ovsdb mon blocks on start until it is ready (LP: #1584647)

  [ Seyeong Kim ]
  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Ensure neutron-ovs-cleanup runs after openvswitch-switch and
    neutron-openvswitch-agent runs after neutron-ovs-cleanup (LP: #1752838).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Mar 2018 11:42:05 -0400

neutron (2:8.4.0-0ubuntu7.2) xenial; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Revert changes made for LP:#1752838 due to regression (LP: #1758411).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 23 Mar 2018 15:19:07 -0400

neutron (2:8.4.0-0ubuntu7.1) xenial; urgency=medium

  * d/neutron-openvswitch-agent.service.in: Ensure
    neutron-openvswitch-agent starts after neutron-ovs-cleanup.
  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Adding dependency on openvswitch-switch.service because
    neutron-ovs-cleanup will fail if it is run earlier than it
    (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 01 Mar 2018 17:19:08 -0800

neutron (2:8.4.0-0ubuntu6) xenial; urgency=medium

  * d/p/set-ha-network-port-to-down-when-l3-agent-starts.patch,
    d/p/call-update_all_ha_network_port_statuses-on-agent-start.patch:
    Cherry-pick from upstream stable/ocata branch to prevent multiple
    masters for L3HA (LP: #1731595).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2017 13:36:08 -0500

neutron (2:8.4.0-0ubuntu5) xenial; urgency=medium

  * d/p/l3-ha-don-t-send-routers-without-_ha_interface.patch: Backport fix for
    l3 ha: don't send routers without '_ha_interface' (LP: #1668410)

 -- Hua Zhang <joshua.zhang@canonical.com>  Thu, 24 Aug 2017 12:19:23 +0800

neutron (2:8.4.0-0ubuntu4) xenial; urgency=medium

  * d/p/Update-the-host_id-for-network-router_gateway-interf.patch:
    keep the router's gateway interface updated when keepalived
    fails over (LP: #1694337).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 25 Jul 2017 17:50:16 +0100

neutron (2:8.4.0-0ubuntu3) xenial; urgency=medium

  * d/p/avoid-router-ri.process-if-initialize-fails: Backport fix for
    avoid router ri process if initialize fails (LP: #1662804).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Wed, 07 Jun 2017 09:48:11 +0100

neutron (2:8.4.0-0ubuntu2) xenial; urgency=medium

  [ Edward Hope-Morley ]
  * Backport fix for Failure to retry update_ha_routers_states (LP: #1648242)
    - d/p/add-check-for-ha-state.patch

  [ Chuck Short ]
  * d/neutron-common.install, d/neutron-dhcp-agent.install:
    Remove cron jobs since they will cause a race when
    using an L3 agent. The L3 agent cleans up after itself now.
    (LP: #1623664)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Apr 2017 11:39:09 +0100

neutron (2:8.4.0-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * d/p/check-namespace-before-getting-devices.patch: Dropped. Fixed upstream.

  [ Chuck Short ]
  * New upstream stable point release for OpenStack Mitaka (LP: #1668313).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 12:36:12 -0500

neutron (2:8.3.0-0ubuntu1.2) xenial; urgency=medium

  * d/p/check-namespace-before-getting-devices.patch: Cherry-pick patch
    from upstream stable/mitaka branch to check if router namespace exists
    before getting devices (LP: #1573073).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Nov 2016 14:10:37 -0500

neutron (2:8.3.0-0ubuntu1.1) xenial; urgency=medium

  * Fix service config typo:
    - debian/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in (LP: #1635369).
    - debian/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.service.in (LP: #1606652).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Thu, 20 Oct 2016 17:24:10 +0100

neutron (2:8.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream stable point release for OpenStack Mitaka (LP: #1633191).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Oct 2016 15:27:09 -0400

neutron (2:8.2.0-0ubuntu1) xenial; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/p/skip-test-secure-client.patch:  Skip test_secure_client until
    upstream bug is resolved.

  [ James Page ]
  * New upstream version.
  * d/p/skip-ryu-tests.patch: Rebased.

  [ Corey Bryant ]
  * d/neutron-linuxbridge-agent.neutron-linuxbridge-cleanup.init.in:
    Run neutron-linuxbridge-cleanup with linuxbridge_agent.ini (LP: #1606657).

  [ David Della Vecchia ]
  * New upstream stable point release for OpenStack Mitaka (LP: #1619318).
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 27 Sep 2016 08:19:10 -0400

neutron (2:8.1.2-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1591248).

 -- David Della Vecchia <ddv@canonical.com>  Fri, 10 Jun 2016 12:17:08 -0400

neutron (2:8.1.0-0ubuntu0.16.04.2) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream point release for OpenStack Mitaka (LP: #1580674).

  [ Corey Bryant ]
  * d/changelog: Change package version to 2:8.1.0-0ubuntu0.16.04.1 in order
    to not conflict with yakkety version 2:8.1.0-0ubuntu1.
  * d/rules: Switch to using ostestr for unit test execution to avoid races.



=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     git,
                     python-cliff (>= 1.15.0),
                     python-coverage (>= 3.6),
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron-lib (>= 0.0.1),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openvswitch (>= 2.4.0),
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.7.1),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.12.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
XS-Python-Version: >= 2.6
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: neutron-plugin-ml2,
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends: adduser,
         ipset,
         python-neutron (= ${source:Version}),
         python-neutron-fwaas,
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
        neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Replaces: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
          neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 0.6),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-l3-agent
Architecture: all
Depends: conntrack,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         python-neutron-fwaas (>= 2015.1~b3),
         radvd,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: dnsmasq-base,
         dnsmasq-utils,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.1.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 0.0.1),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-openvswitch (>= 2.4.0),
         python-oslo.concurrency (>= 3.7.1),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.12.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-requests (>= 2.8.1),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ryu (>= 3.23.2),
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: Neutron is a virtual network service for Openstack - Python library
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python library.

Package: neutron-plugin-ml2
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-openvswitch-agent
Architecture: all
Depends: conntrack,
         neutron-common (= ${source:Version}),
         openvswitch-switch,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
        neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces: neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
          neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	patch -p1 < debian/patches/fix-neutron-configuration.patch
	dh_install --fail-missing -X/usr/etc -X/usr/bin/neutron-vpn-agent \
		-X/usr/bin/neutron-lbaas-agent -X/usr/bin/neutron-hyperv-agent
	patch -p1 -R < debian/patches/fix-neutron-configuration.patch

override_dh_systemd_enable:
	dh_systemd_enable -pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_systemd_enable -pneutron-linuxbridge-agent --name=neutron-linuxbridge-cleanup \
		neutron-linuxbridge-cleanup.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pneutron-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit -pneutron-linuxbridge-agent --no-start \
        --name=neutron-linuxbridge-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron neutron-(\d.*)\.tar\.gz

## neutron 9.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Paste # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
pecan>=1.0.0 # BSD
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
requests>=2.10.0 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=0.2.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
ryu>=4.4 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WebOb>=1.2.3 # MIT
keystoneauth1>=2.7.0 # Apache-2.0
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
stevedore>=1.10.0 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.10.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.14.0 # Apache-2.0
oslo.versionedobjects>=1.9.1 # Apache-2.0
osprofiler>=1.3.0 # Apache-2.0
ovs>=2.5.0;python_version=='2.7' # Apache-2.0
ovs>=2.6.0.dev1;python_version>='3.4' # Apache-2.0

python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0

=== debian/changelog ===
neutron (2:9.0.0~b2-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 14 Sep 2016 13:33:10 +0000

neutron (2:9.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Activates qos policies by default.
  * neutron-server loads fwaas_driver.ini if it is present in /etc/neutron.
  * Refresh the core_plugin selection logic so it's up-to-date.
  * Updated Danish translation of debconf templates (Closes: #830637).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 15:17:21 +0200

neutron (2:9.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fix neutron-metadata server templates.
  * Fixed (build-)depends for this release.
  * Drop Return_oslo_config_Opts_to_config_generator.patch applied upstream.
  * Added fix-requirements.txt.patch.
  * Disable auto_clean as it requires a higher version of setuptools, which
    isn't in the sbuild host for Jessie.
  * Using ostestr directly, not using ./run_tests.sh anymore.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 00:59:14 +0200

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Gustavo Panizzo <gfa@zumbi.com.ar>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     bridge-utils,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-gflags,
                     python-greenlet,
                     python-hacking,
                     python-httplib2,
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutron-lib (>= 0.2.0),
                     python-neutronclient (>= 1:4.2.0),
                     python-novaclient (>= 2:2.30.1),
                     python-openvswitch,
                     python-os-testr (>= 0.7.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.14.0),
                     python-oslo.versionedobjects (>= 1.9.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.3.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-pyudev,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-retrying,
                     python-routes,
                     python-ryu (>= 4.4),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.12),
                     python-stevedore (>= 1.10.0),
                     python-tempest (>= 1:12.1.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/neutron.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/neutron.git

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         conntrack,
         iproute2,
         ipset,
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-gflags,
         python-greenlet,
         python-httplib2,
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutron-lib (>= 0.2.0),
         python-neutronclient (>= 1:4.2.0),
         python-novaclient (>= 2:2.30.1),
         python-openvswitch,
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.14.0),
         python-oslo.versionedobjects (>= 1.9.1),
         python-osprofiler (>= 1.3.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-psycopg2,
         python-pymysql,
         python-pyudev,
         python-requests (>= 2.10.0),
         python-retrying,
         python-routes,
         python-ryu (>= 4.4),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.12),
         python-stevedore (>= 1.10.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy (>= 1.0.12),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Depends: adduser,
         debconf,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Recommends: openvswitch-switch,
Conflicts: neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: adduser,
         dnsmasq-base (>= 2.63),
         dnsmasq-utils (>= 2.63),
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends: openvswitch-switch (>= 1.9),
Replaces: neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-openvswitch-agent (<<2015.1~b3-1),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Do nothing"

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = neutron.agent.linux.interface.OVSInterfaceDriver|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*ovs_integration_bridge[ \t]*=.*|ovs_integration_bridge = br-int|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*dhcp_driver[ \t]*=.*|dhcp_driver = neutron.agent.linux.dhcp.Dnsmasq|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*enable_isolated_metadata[ \t]*=.*|enable_isolated_metadata = False|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*dnsmasq_config_file[ \t]*=.*|dnsmasq_config_file = /etc/neutron/dnsmasq-neutron.conf|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-l3-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = openvswitch|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*handle_internal_only_routers[ \t]*=.*|handle_internal_only_routers = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*external_network_bridge[ \t]*=.*|external_network_bridge = br-ex|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*enable_metadata_proxy[ \t]*=.*|enable_metadata_proxy = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*agent_mode[ \t]*=.*|agent_mode = legacy|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
	sed -i 's|^[ #\t]*nova_metadata_ip[ \t]*=.*|nova_metadata_ip = 127.0.0.1|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# metering_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metering-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp oslo-config-generator --output-file $(CURDIR)/debian/neutron-metering-agent/etc/neutron/metering_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metering.agent \
		--namespace oslo.log

	# ml2_conf.ini
	mkdir -p $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini \
		--wrap-width 140 \
		--namespace neutron.ml2 \
		--namespace oslo.log
	sed -i 's|^[ #\t]*type_drivers[ \t]*=.*|type_drivers = flat,gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*tenant_network_types[ \t]*=.*|tenant_network_types = gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*mechanism_drivers[ \t]*=.*|mechanism_drivers = openvswitch,l2population|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*flat_networks[ \t]*=.*|flat_networks = external|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*tunnel_id_ranges[ \t]*=.*|tunnel_id_ranges = 1:1000|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*enable_security_group[ \t]*=.*|enable_security_group = True|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*enable_ipset[ \t]*=.*|enable_ipset = True |' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	pkgos-fix-config-default $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini ml2 extension_drivers port_security,qos
	

	# ml2_conf_sriov.ini
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf_sriov.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.sriov \
		--namespace oslo.log

	# neutron.conf
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf \
		--wrap-width 140 \
		--namespace neutron \
		--namespace neutron.agent \
		--namespace neutron.db \
		--namespace neutron.extensions \
		--namespace neutron.qos \
		--namespace nova.auth \
		--namespace oslo.log \
		--namespace oslo.db \
		--namespace oslo.policy \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace keystonemiddleware.auth_token
	sed -i 's|^[ #\t]*core_plugin[ \t]*=.*|core_plugin = ml2|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*service_plugins[ \t]*=.*|service_plugins = router,metering,qos|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*auth_strategy[ \t]*=.*|auth_strategy = keystone|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*allow_overlapping_ips[ \t]*=.*|allow_overlapping_ips = True|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*notify_nova_on_port_status_changes[ \t]*=.*|notify_nova_on_port_status_changes = True |' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*rpc_backend[ \t]*=.*|rpc_backend = rabbit|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*root_helper[ \t]*=.*|root_helper = sudo neutron-rootwrap /etc/neutron/rootwrap.conf|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*connection[ \t]*=.*|connection = sqlite:///var/lib/neutron/neutrondb|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf

## neutron 9.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Paste # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
pecan!=1.0.2,!=1.0.3,!=1.0.4,>=1.0.0 # BSD
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
requests>=2.10.0 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=0.4.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
ryu!=4.1,!=4.2,!=4.2.1,!=4.4,>=3.30 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WebOb>=1.2.3 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
ovs>=2.5.0;python_version=='2.7' # Apache-2.0
ovs>=2.6.0.dev3;python_version>='3.4' # Apache-2.0

python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0

=== debian/changelog ===
neutron (2:9.0.0~b3-1+761~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 19 Sep 2016 13:34:18 +0000

neutron (2:9.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Rebased fix-requirements.txt.patch.
  * Re-enabled tests.
  * Add flake8-legacy.patch (idea taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Sep 2016 20:14:17 +0200
